Frequently Asked Questions

Error - Required Simconnect DLL Missing
Last Updated 6 years ago

The following error, "Required Simconnect DLL missing" when trying to use the G1000 Student Simulator is caused by an inproper installation of the required FSX files for the G1000 to operate.

Your copy of Flight Simulator X must be up to date in order to operate the G1000. If you are receiving the above error, you need to download and install Service Packs SP1/SP2 for Flight Simulator X. You can get them here:

SP1 - http://www.microsoft.com/Products/Games/FSInsider/downloads/Pages/FlightSimulatorXServicePack1.aspx

SP2 - http://www.microsoft.com/download/en/details.aspx?id=8986

 

 

Please Wait!

Please wait... it will take a second!